version: 1.0.{build}
branches:
  only:
    - main
os:
  - Visual Studio 2015
clone_depth: 1
configuration:
  - Debug
platform:
  - x64
environment:
  matrix:
    - TOOLCHAIN_VERSION: 14.0
      RUST: 1.76.0
    - TOOLCHAIN_VERSION: 14.0
      RUST: beta
    - TOOLCHAIN_VERSION: 14.0
      RUST: nightly

build_script: mk/appveyor.bat
